Ubuntu

Acer Logitech, Inc. Orbicam fails to start working.

Reported by Pedro Losco Takecian on 2011-03-09
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Problem description:
Logitech, Inc. Orbicam (ID 046d:0896) doesn't work with Cheese (green led on cam doesn't light up and no images appear) unless we run Cheese multiple consecutive times. Webcam doesn't work with Skype too (no images and led turned off).
This problem has started when Ubuntu 10.10 was installed (kernel 2.6.35-27-generic - 64 bits). Webcam was working at Ubuntu 10.04 (all kernel versions released until Mar-08 / 2011).

Ubuntu version:
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick

Kernel version:
Linux 2.6.35-27-generic #48-Ubuntu SMP Tue Feb 22 20:25:46 UTC 2011 x86_64 GNU/Linux

Steps to reproduce the bug:

(With Cheese)
1. run Cheese - green led on cam doesn't light up and a black screen appears instead of the image.
2. close Cheese and start it again.
3. If the cam still doesn't work, repeat step 2.

(With Skype 2.1.0.81)
1. run Skype (/usr/bin/skype-wrapper)
2. Log in as a valid user.
3. At the main menu, click "Options", and then click the "Video" tab on the left
4. Enable Skype Video. Check the box next to "Enable Skype Video."
5. Open the pull-down menu of devices. Select the device (sometimes it appears as /dev/video0 and sometimes as /dev/video1).
6. Click at the "Test" webcam button.
7. Green led on cam doesn't light up and a black screen appears instead of the image.

Expected results:
Cam led lights up and image appears when Cheese is started.
Cam led lights up and image appears in the web cam test at Skype.

Additional info:

lsusb output:
Bus 005 Device 002: ID 062a:0001 Creative Labs Notebook Optical Mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 017: ID 046d:0896 Logitech, Inc. OrbiCam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

/var/log/messages when I tried to run Cheese four times and the cam worked only at the last (fourth) attempt:
Mar 9 17:04:26 aspire kernel: [ 6472.857266] usb 1-4: USB disconnect, address 17
Mar 9 17:04:26 aspire kernel: [ 6472.857342] gspca: video0 disconnect
Mar 9 17:04:27 aspire kernel: [ 6474.512285] gspca: set alt 0 err -19
Mar 9 17:04:27 aspire kernel: [ 6474.512294] gspca: usb_submit_urb alt 7 err -19
Mar 9 17:04:28 aspire kernel: [ 6474.790146] usb 1-4: new high speed USB device using ehci_hcd and address 18
Mar 9 17:04:28 aspire kernel: [ 6474.969126] gspca: probing 046d:0896
Mar 9 17:04:28 aspire kernel: [ 6474.969133] vc032x: Sensor POxxxx
Mar 9 17:04:28 aspire kernel: [ 6474.971180] gspca: video1 created
Mar 9 17:04:36 aspire kernel: [ 6482.628464] gspca: video0 released
Mar 9 17:06:51 aspire kernel: [ 6618.082332] usb 1-4: USB disconnect, address 18
Mar 9 17:06:51 aspire kernel: [ 6618.082410] gspca: video1 disconnect
Mar 9 17:06:53 aspire kernel: [ 6619.742700] gspca: set alt 0 err -19
Mar 9 17:06:53 aspire kernel: [ 6619.742710] gspca: usb_submit_urb alt 7 err -19
Mar 9 17:06:53 aspire kernel: [ 6620.020143] usb 1-4: new high speed USB device using ehci_hcd and address 19
Mar 9 17:06:53 aspire kernel: [ 6620.209951] gspca: probing 046d:0896
Mar 9 17:06:53 aspire kernel: [ 6620.209958] vc032x: Sensor POxxxx
Mar 9 17:06:53 aspire kernel: [ 6620.214951] gspca: video0 created
Mar 9 17:07:31 aspire kernel: [ 6657.839792] gspca: video1 released
Mar 9 17:07:44 aspire kernel: [ 6670.992411] usb 1-4: USB disconnect, address 19
Mar 9 17:07:44 aspire kernel: [ 6670.992481] gspca: video0 disconnect
Mar 9 17:07:46 aspire kernel: [ 6672.650173] gspca: set alt 0 err -19
Mar 9 17:07:46 aspire kernel: [ 6672.650183] gspca: usb_submit_urb alt 7 err -19
Mar 9 17:07:46 aspire kernel: [ 6672.932615] usb 1-4: new high speed USB device using ehci_hcd and address 20
Mar 9 17:07:46 aspire kernel: [ 6673.105526] gspca: probing 046d:0896
Mar 9 17:07:46 aspire kernel: [ 6673.105533] vc032x: Sensor POxxxx
Mar 9 17:07:46 aspire kernel: [ 6673.107520] gspca: video1 created
Mar 9 17:07:51 aspire kernel: [ 6678.155567] gspca: video0 released

v4l-info /dev/video0 output
open /dev/video0: No such file or directory

v4l-info /dev/video1 output
### v4l2 device info [/dev/video1] ###
general info
    VIDIOC_QUERYCAP
 driver : "vc032x"
 card : "Camera"
 bus_info : "usb-0000:00:1d.7-4"
 version : 2.9.0
 capabilities : 0x5000001 [VIDEO_CAPTURE,READWRITE,STREAMING]

standards

inputs
    VIDIOC_ENUMINPUT(0)
 index : 0
 name : "vc032x"
 type : CAMERA
 audioset : 0
 tuner : 0
 std : 0x0 []
 status : 0x0 []

video capture
    VIDIOC_ENUM_FMT(0,VIDEO_CAPTURE)
 index : 0
 type : VIDEO_CAPTURE
 flags : 0
 description : "YVYU"
 pixelformat : 0x55595659 [YVYU]
    VIDIOC_G_FMT(VIDEO_CAPTURE)
 type : VIDEO_CAPTURE
 fmt.pix.width : 640
 fmt.pix.height : 480
 fmt.pix.pixelformat : 0x55595659 [YVYU]
 fmt.pix.field : NONE
 fmt.pix.bytesperline : 640
 fmt.pix.sizeimage : 614400
 fmt.pix.colorspace : SRGB
 fmt.pix.priv : 0

controls
    VIDIOC_QUERYCTRL(BASE+0)
 id : 9963776
 type : INTEGER
 name : "Brightness"
 minimum : 0
 maximum : 255
 step : 1
 default_value : 128
 flags : 0
    VIDIOC_QUERYCTRL(BASE+1)
 id : 9963777
 type : INTEGER
 name : "Contrast"
 minimum : 0
 maximum : 255
 step : 1
 default_value : 127
 flags : 0
    VIDIOC_QUERYCTRL(BASE+2)
 id : 9963778
 type : INTEGER
 name : "Saturation"
 minimum : 1
 maximum : 127
 step : 1
 default_value : 63
 flags : 0

### video4linux device info [/dev/video1] ###
general info
    VIDIOCGCAP
 name : "Camera"
 type : 0x1 [CAPTURE]
 channels : 1
 audios : 0
 maxwidth : 640
 maxheight : 480
 minwidth : 48
 minheight : 32

channels
    VIDIOCGCHAN(0)
 channel : 0
 name : "vc032x"
 tuners : 0
 flags : 0x0 []
 type : CAMERA
 norm : 0

tuner
ioctl VIDIOCGTUNER: Invalid argument

audio
    VIDIOCGAUDIO
 audio : 0
 volume : 0
 bass : 0
 treble : 0

picture
    VIDIOCGPICT
 brightness : 32896
 hue : 0
 colour : 32247
 contrast : 32639
 whiteness : 0
 depth : 8
 palette : unknown

buffer
ioctl VIDIOCGFBUF: Invalid argument

window
    VIDIOCGWIN
 x : 0
 y : 0
 width : 640
 height : 480
 chromakey : 0
 flags : 0

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-27-generic 2.6.35-27.48
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-27.48-generic 2.6.35.11
Uname: Linux 2.6.35-27-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: plt 1559 F.... pulseaudio
CRDA: Error: [Errno 2] Arquivo ou diretório não encontrado
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd0340000 irq 45'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,10250090,00100002 HDA:14f12bfa,1025007f,00090000'
   Controls : 24
   Simple ctrls : 14
Date: Wed Mar 9 16:20:58 2011
HibernationDevice: RESUME=UUID=abc37b5b-ac93-4c4a-8cdc-3642bdfe53d5
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Acer Aspire 5630
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-27-generic root=UUID=d3a477fe-02d9-47e9-ba3c-2863c5ae61a4 ro quiet splash
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 LANG=pt_BR.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38.4
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 01/09/2007
dmi.bios.vendor: Acer
dmi.bios.version: V3.33
dmi.board.name: Grapevine
dmi.board.vendor: Acer
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV3.33:bd01/09/2007:svnAcer:pnAspire5630:pvrV3.33:rvnAcer:rnGrapevine:rvrN/A:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5630
dmi.product.version: V3.33
dmi.sys.vendor: Acer

Pedro Losco Takecian (pedrolt) wrote :
Daniel Cordeiro (dcordeiro) wrote :

Hello,

I just found that the same bug was reported to Red Hat in Oct/2010: https://bugzilla.redhat.com/show_bug.cgi?id=643710 . No comments from Red Hat so far... :(

Best regards,
Daniel

Brad Figg (brad-figg) on 2011-04-07
Changed in linux (Ubuntu):
status: New → Confirmed

Pedro Losco Takecian, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Giannis (karzisss) wrote :

Ubuntu 13.04 on Acer 5630, Orbicam still does not work. I get green screen (webcam led is on) on Skype's options and i can not make a video call. lsusb detects the webcam correctly.

giannis, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.